Skip to main content
POST
/
order
/
{orderId}
/
submit
Submit Order
curl --request POST \
  --url https://api.satsuma.ai/order/{orderId}/submit \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_method_id": "<string>"
}
'
import requests

url = "https://api.satsuma.ai/order/{orderId}/submit"

payload = { "payment_method_id": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method_id: '<string>'})
};

fetch('https://api.satsuma.ai/order/{orderId}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "tip": 123,
    "subtotal": 123,
    "tax": 123,
    "total": 123,
    "customer": {
      "id": "<string>",
      "name": "<string>",
      "phone": "<string>",
      "email": "<string>",
      "address": {
        "street_number": "<string>",
        "street_name": "<string>",
        "street_address": "<string>",
        "street_address_detail": "<string>",
        "city": "<string>",
        "region": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      }
    },
    "fees": [
      {
        "amount": 123
      }
    ],
    "items": [
      {
        "quantity": 123,
        "price": 123,
        "product_id": "<string>",
        "product_name": "<string>"
      }
    ],
    "merchant_id": "<string>",
    "location_id": "<string>",
    "fee_total": 123,
    "dropoff_instructions": "<string>"
  },
  "messages": [
    {
      "context": "<string>",
      "text": "<string>",
      "data": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication

Path Parameters

orderId
string
required

Order identifier

Body

application/json

Request to submit an order with payment method

payment_method_id
string
required

Stripe payment method identifier

Response

200 - application/json

OK

data
object
messages
object[]